Page 94 of 237 FirstFirst ... 44849293949596104144194 ... LastLast
Results 931 to 940 of 2362

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #931
    Join Date
    Mar 2010
    Beans
    2

    How to install Video compressing and aspect ratio then resolution using FFMPEG PHP

    I have installed FFMPEG PHP version 9.10 ubuntu. Now working Perfectly like flv converter also.

    But, 1. I want know The details how to compress the video? like small size?

    2. How to set Aspect Ratio FFMPEG PHP?

    3. How to install x264 ? because I got the code and I tried to install. But In FFMPEG there is no compilation in x264 codec? So, what I can do? This is My Major Priority? Please If Anyone knows Help me........................

  2. #932
    n.hinton is offline Gee! These Aren't Roasted!
    Join Date
    Nov 2008
    Location
    North Norfolk, UK
    Beans
    169
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Follow the instructions on the first page of this 'howto'

  3. #933
    Join Date
    Feb 2010
    Location
    Kelantan, Malaysia
    Beans
    19

    Re: HOWTO: Install and use the latest FFmpeg and x264

    It is really working. Thanks a lot my friendz especialy to mc4man and FakeOutdoorsman.

  4. #934
    Join Date
    Dec 2009
    Beans
    1

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Can you Please provide light on How to integrate the installed ffmpeg libraries with existing players like totem or Rhythmbox???

  5. #935
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by raja8912 View Post
    Can you Please provide light on How to integrate the installed ffmpeg libraries with existing players like totem or Rhythmbox???
    That would require re-compiling the gstreamer-ffmpeg plugin(s). You can't do it with the libraries from a regular ffmpeg compile, although those libraries would probably be used in the compile of the plugin.

    Not that I think it would matter too much - the decoding libraries don't change all too often, and unless you're using really obscure video or audio formats, the right decoders have been there for a long, long time, and would be included in the gstreamer plugin (even if only by using the restricted-extras package or Medibuntu or so on).

  6. #936
    Join Date
    Nov 2008
    Beans
    38
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Followed the Jaunty tutorial to the letter everything went fine except for ffmpeg I got this

    make: *** No rule to make target `libavformat/rtp_asf.h', needed by `libavformat/rtpdec.o'. Stop.

    Any idea what I did wrong

  7. #937
    Join Date
    Sep 2006
    Beans
    3,599

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by madhi19 View Post
    Followed the Jaunty tutorial to the letter everything went fine except for ffmpeg I got this

    make: *** No rule to make target `libavformat/rtp_asf.h', needed by `libavformat/rtpdec.o'. Stop.

    Any idea what I did wrong
    You probably did nothing wrong. Since development is so active (so far 5 revisions just today), you will encounter compilation errors occasionally. Fortunately, these are often found and fixed within a day or even a few hours. Try updating your FFmpeg source and compiling again as shown in the Updating Your Installation section of the guide.

    I just compiled FFmpeg r22470 without errors.

  8. #938
    Join Date
    Nov 2008
    Beans
    38
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    You probably did nothing wrong. Since development is so active (so far 5 revisions just today), you will encounter compilation errors occasionally. Fortunately, these are often found and fixed within a day or even a few hours. Try updating your FFmpeg source and compiling again as shown in the Updating Your Installation section of the guide.

    I just compiled FFmpeg r22470 without errors.
    Fixed it by adding these lines
    cd ffmpeg
    git clone git://git.ffmpeg.org/libswscale/

  9. #939
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by madhi19 View Post
    Fixed it by adding these lines
    cd ffmpeg
    git clone git://git.ffmpeg.org/libswscale/
    I'm sure that's probably why the guide uses the SVN repository for ffmpeg, and not git. The SVN checkout automatically grabs libswscale into the correct directory too (and it gives you the nice revision numbers that the git ffmpeg doesn't).

  10. #940
    Join Date
    Mar 2010
    Beans
    2

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by n.hinton View Post
    Follow the instructions on the first page of this 'howto'

    I have installed PHP FFMPEG. It is working perfectly. But I have tried after libx264 install it is showing error? there is no compliation. What I can do?

Page 94 of 237 FirstFirst ... 44849293949596104144194 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •